<?php

require_once dirname(__FILE__). "/../vendor/autoload.php";

include_once dirname(__FILE__). "/../structures/RequestEntity.php";
include_once dirname(__FILE__). "/../structures/ResponseIntegrationState.php";
include_once dirname(__FILE__). "/../structures/RequestInterval.php";
include_once dirname(__FILE__). "/../structures/RequestPaymentReference.php";
include_once dirname(__FILE__). "/../structures/ResponseEntityPayments.php";
include_once dirname(__FILE__). "/../structures/ResponseEntityPaymentReferences.php";
include_once dirname(__FILE__). "/../structures/RequestCreditCardPayment.php";
include_once dirname(__FILE__). "/../structures/RequestBillingAddress.php";
include_once dirname(__FILE__). "/../structures/RequestShippingAddress.php";
include_once dirname(__FILE__). "/../structures/RequestBuyerInfo.php";
include_once dirname(__FILE__). "/../structures/ResponseCreditCardPayment.php";
include_once dirname(__FILE__). "/../structures/RequestReferenceDetails.php";
include_once dirname(__FILE__). "/../structures/ResponseGetPayment.php";
include_once dirname(__FILE__). "/../structures/RequestPaymentOrder.php";
include_once dirname(__FILE__). "/../structures/RequestPaymentDetails.php";
include_once dirname(__FILE__). "/../structures/RequestWebhook.php";
include_once dirname(__FILE__). "/../structures/ResponseWebhook.php";
include_once dirname(__FILE__). "/../structures/RequestEntityPayments.php";
include_once dirname(__FILE__). "/../structures/RequestPaymentOption.php";

$WEBSERVICEURL  = '';
$WEBSERVICEWSDL = '';

if (!defined('WEBSERVICEURL_BETA')) {
    define('WEBSERVICEURL_BETA', 'https://paypay.acin.pt/paypaybeta/index.php/paypayservices/paypayservices_c/server');
}

if (!defined('WEBSERVICEWSDL_BETA')) {
    define('WEBSERVICEWSDL_BETA', 'https://paypay.acin.pt/paypaybeta/index.php/paypayservices/paypayservices_c/wsdl');
}

if (!defined('WEBSERVICEURL_PROD')) {
    define('WEBSERVICEURL_PROD', 'https://www.paypay.pt/paypay/index.php/paypayservices/paypayservices_c/server');
}
if (!defined('WEBSERVICEWSDL_PROD')) {
    define('WEBSERVICEWSDL_PROD', 'https://www.paypay.pt/paypay/index.php/paypayservices/paypayservices_c/wsdl');
}

if (!defined('WEBHOOKACTION')) {
    define('WEBHOOKACTION', 'payment_confirmed');
}
