<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Luís Gonçalves
 *  @copyright 2015-2016 PayPay
 *  @license   LICENSE.txt
 */

class CardRequestBuyerInfo
{
    /** @var String */
    public $lastName;

    /** @var String */
    public $firstName;

    /** @var String */
    public $customerId;

    /** @var String */
    public $email;

    public function __construct($buyer)
    {
        $this->lastName         = $buyer['lastName'];
        $this->firstName        = $buyer['firstName'];
        $this->customerId       = $buyer['customerId'];
        $this->email            = $buyer['email'];
    }
}
