<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Luís Gonçalves
 *  @copyright 2015-2016 PayPay
 *  @license   LICENSE.txt
 */

class CardRequestEntity
{
    /** @var string */
    public $platformCode;
    /** @var string */
    public $hash;
    /** @var string */
    public $date;
    /** @var string */
    public $nif;
    /** @var string */
    public $lang;
    /** @var array */
    public $info;

    public function __construct($platformCode, $hash, $date, $nif, $lang, $info)
    {
        $this->platformCode = $platformCode;
        $this->hash         = $hash;
        $this->date         = $date;
        $this->nif          = $nif;
        $this->lang         = $lang;
        $this->info         = $info;
    }
}
