<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Luís Gonçalves
 *  @copyright 2015-2016 PayPay
 *  @license   LICENSE.txt
 */

class CardResponsePayment
{
    /** @var int */
    public $paymentId;

    /** @var string */
    public $referenceEntity;

    /** @var string */
    public $reference;

    /** @var string */
    public $paymentMethodCode;

    /** @var boolean */
    public $paymentCancelled;

    /** @var string */
    public $paymentDate;

    /** @var int */
    public $paymentAmount;

    /** @var string */
    public $productCode;

    /** @var string */
    public $productDesc;

    public function __construct(
        $paymentId,
        $referenceEntity,
        $reference,
        $paymentMethodCode,
        $paymentCancelled,
        $paymentDate,
        $paymentAmount,
        $productCode,
        $productDesc
    ) {
        $this->paymentId         = $paymentId;
        $this->referenceEntity   = $referenceEntity;
        $this->reference         = $reference;
        $this->paymentMethodCode = $paymentMethodCode;
        $this->paymentCancelled  = $paymentCancelled;
        $this->paymentDate       = $paymentDate;
        $this->paymentAmount     = $paymentAmount;
        $this->productCode       = $productCode;
        $this->productDesc       = $productDesc;
    }
}
