<?php

class MultibancoRequestBillingAddress
{
    /** @var String ISO 3166-2*/
    public $country;

    /** @var String ISO 3166-2*/
    public $state;

    /** @var String */
    public $stateName;
    
    /** @var String */
    public $city;
    
    /** @var String */
    public $street1;

    /** @var String */
    public $street2;
    
    /** @var String */
    public $postCode;
    
    public function __construct(
        $country,
        $state,
        $stateName,
        $city,
        $street1,
        $street2,
        $postCode
    ) {
        $this->country   = $country;
        $this->state     = $state;
        $this->stateName = $stateName;
        $this->city      = $city;
        $this->street1   = $street1;
        $this->street2   = $street2;
        $this->postCode  = $postCode;
    }  
}
