<?php

class MultibancoRequestCreditCardPayment {

    /** @var RequestPaymentOrder */
    public $order;

    /** @var String */
    public $returnUrlSuccess;

    /** @var String */
    public $returnUrlCancel;

    /** @var String */
    public $returnUrlBack;

    /**
     * Forma de pagamento:
     * CC - Cartão de crédito;
     * MW - MB WAY;
     * @var String
     */
    public $method;

    /** @var RequestBuyerInfo */
    public $buyer;

    /** @var RequestBillingAddress */
    public $billingAddress;

    /** @var RequestShippingAddress */
    public $shippingAddress;
    

    public function __construct(
        $order,
        $returnUrlSuccess = "",
        $returnUrlCancel = "",
        $returnUrlBack = "",
        $buyer = "",
        $method = null,
        $billingAddress = null,
        $shippingAddress = null
    ) {
        $this->order            = $order;
        $this->returnUrlSuccess = $returnUrlSuccess;
        $this->returnUrlCancel  = $returnUrlCancel;
        $this->returnUrlBack    = $returnUrlBack;
        $this->buyer            = $buyer;
        $this->method           = $method;
        $this->billingAddress   = $billingAddress;
        $this->shippingAddress  = $shippingAddress;
    }

}
