<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Luís Gonçalves
 *  @copyright 2015-2016 PayPay
 *  @license   LICENSE.txt
 */

class MultibancoRequestReferenceDetails
{
    /** @var Int */
    public $amount;

    /** @var String */
    public $reference;

    /** @var String */
    public $paymentId;

    /** @var Int */
    public $idPlatformCode;

    /** @var String */
    public $productCode;

    public function __construct($data)
    {
        $this->amount = !empty($data['amount']) ? $data['amount']:'';
        $this->reference = !empty($data['reference']) ? $data['reference']:'';
        $this->paymentId = !empty($data['paymentId']) ? $data['paymentId']:'';
        $this->idPlatformCode = !empty($data['idPlatformCode']) ? $data['idPlatformCode']:'';
        $this->productCode = !empty($data['productCode']) ? $data['productCode']:'';
    }
}
