<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Luís Gonçalves
 *  @copyright 2015-2016 PayPay
 *  @license   LICENSE.txt
 */

class CardResponseCheckWebPayment
{
    /** @var string */
    public $errorCode;

    /** @var string */
    public $errorMessage;

    /** @var string */
    public $referenceEntity;

    /** @var string */
    public $referencia;

    public function __construct(
        $errorCode,
        $errorMessage,
        $referenceEntity,
        $referencia
    ) {
        $this->referenceEntity = $referenceEntity;
        $this->referencia      = $referencia;
        $this->errorCode       = $errorCode;
        $this->errorMessage    = $errorMessage;
    }
}
