<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Luís Gonçalves
 *  @copyright 2015-2016 PayPay
 *  @license   LICENSE.txt
 */

class CardResponseCreditCardPayment
{
    /** @var ResponseIntegrationState */
    public $requestState;

    /** @var String */
    public $url;

    /** @var String */
    public $token;

    /** @var Int */
    public $idTransaction;

    public function __construct($params)
    {
        $this->requestState     = $params['requestState'];
        $this->url              = empty($params['url']) ? '' : $params['url'];
        $this->token            = empty($params['token']) ? '' : $params['token'];
        $this->idTransaction    = empty($params['idTransaction']) ? '' : $params['idTransaction'];
    }
}
