<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Luís Gonçalves
 *  @copyright 2015-2016 PayPay
 *  @license   LICENSE.txt
 */

class MWPaymentDetails
{
    /** @var String */
    public $code;

    /** @var Int */
    public $state;

    /** @var String */
    public $reference;

    /** @var Int */
    public $paymentState;

    /** @var Int */
    public $paymentStateId;

    /** @var Int */
    public $paymentBlocked;

    /** @var Int */
    public $paymentCancelled;

    /** @var String */
    public $paymentDate;

    /** @var String */
    public $paymentMode;

    /** @var String */
    public $message;


    public function __construct($params)
    {
        $fields = array('code',
                        'state',
                        'reference',
                        'paymentState',
                        'paymentStateId',
                        'paymentBlocked',
                        'paymentCancelled',
                        'paymentDate',
                        'paymentMode',
                        'message');
        foreach ($fields as $fkey => $fvalue) {
            if (isset($params[$fvalue]) && $params[$fvalue] != '') {
                $this->$fvalue = $params[$fvalue];
            }
        }
    }
}
