<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Luís Gonçalves
 *  @copyright 2015-2016 PayPay
 *  @license   LICENSE.txt
 */

class MWRequestPaymentOrder
{
    /** @var string */
    public $idTransaction;

    /** @var Int */
    public $amount;

    /** @var String */
    public $reference;

    /** @var String */
    public $hash;

    /** @var String */
    public $productCode;

    public function __construct($order)
    {
        $this->reference    = !empty($order['reference']) ? $order['reference'] : '';
        $this->hash         = !empty($order['hash']) ? $order['hash'] : '';
        $this->amount       = !empty($order['amount']) ? $order['amount'] : '';
        $this->idTransaction = !empty($order['idTransaction']) ? $order['idTransaction'] : '';
        $this->productCode = !empty($order['productCode']) ? $order['productCode'] : '';
    }
}
