<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Luís Gonçalves
 *  @copyright 2015-2016 PayPay
 *  @license   LICENSE.txt
 */

class MWRequestPaymentReference
{
    /** @var string */
    public $referenceEntity;

    /** @var string */
    public $reference;

    /** @var int */
    public $amount;

    /** @var string */
    public $creationDate;

    /** @var string */
    public $productCode;

    /** @var string */
    public $productDesc;

    public function __construct(
        $referenceEntity,
        $reference,
        $amount,
        $creationDate,
        $productCode,
        $productDesc
    ) {
        $this->referenceEntity = $referenceEntity;
        $this->reference       = $reference;
        $this->amount          = $amount;
        $this->creationDate    = $creationDate;
        $this->productCode     = $productCode; // opcional
        $this->productDesc     = $productDesc; // opcional
    }
}
