<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Luís Gonçalves
 *  @copyright 2015-2016 PayPay
 *  @license   LICENSE.txt
 */
?>

<div class="alert alert-info">
	<img src="../modules/paypayMBWay/logo.png" style="float:left; margin-right:15px;" width="49" height="48">

	<p><strong>{l s='Este módulo permite-lhe receber pagamentos seguros por MB WAY.' mod='paypayMBWay'}</strong></p>
	<p>{l s='Os estados dos pagamentos são atualizados automaticamente.' mod='paypayMBWay'}</p>
	<p>{l s='Caso deseje atualizar os pagamentos manualmente, clique ' mod='paypayMBWay'}<a href="{$urlUpdateStatePayments|escape:'htmlall':'UTF-8'}"> {l s='aqui' mod='paypayMBWay'} </a></p>
</div>

{if $notice}
	<div class="alert alert-warning">
		<p><strong>{l s='Deve desinstalar/desativar a versão antiga do módulo PayPay.' mod='paypayMBWay'}</strong></p>
	</div>
{/if}

{if $soap}
	<div class="alert alert-danger">
		<p>
			<strong>
				{l s='A extensão SOAP deve ser habilitada no servidor.' mod='paypayMBWay'}
				<a href="https://www.php.net/manual/en/book.soap.php">
					{l s='Mais informações.' mod='paypayMBWay'}
				</a>
			</strong>
		</p>
	</div>
{/if}
