<?php
include_once dirname(__FILE__). "/../../config/config.php";

class PaypayMultibancoCancelCreditCardPaymentModuleFrontController extends ModuleFrontController
{
    /**
     * [initContent   this method is load on file is call]
     */
    public function initContent()
    {
        parent::initContent();

        $token = Tools::getValue('token');
        $sql = "SELECT pp.idPaymentPaypay, pp.idOrder
                FROM "._DB_PREFIX_."paypay_payments pp
                WHERE pp.token='".pSQL($token)."'";

        if ($row = Db::getInstance()->getRow($sql)) {
            $idPaymentPaypay = $row['idPaymentPaypay'];
            $idOrder         = $row['idOrder'];
        }

        $sql = "SELECT reference
                FROM "._DB_PREFIX_."orders
                WHERE id_order = '".(int) $idOrder."'";

        if ($row = Db::getInstance()->getRow($sql)) {
            $referenceOrder = $row['reference'];
        }

        $objOrder = new Order($idOrder);
        $history = new OrderHistory();
        $history->id_order = (int)$objOrder->id;
        $history->changeIdOrderState(6, (int)$objOrder->id, true); //order status=6 CANCELED

        $cart = $this->context->cart;
        $cartId = Tools::getValue('cartId');
        $customer = new Customer($cart->id_customer);
        $templateVars = array(
            'order_name'     => $referenceOrder,
            'firstname'      => $customer->firstname,
            'lastname'       => $customer->lastname
        );

        $history->addWithemail(true, $templateVars);

        Tools::redirect('index.php?controller=order-confirmation&id_cart=' . $cartId . '&id_module=' . $this->module->id . '&id_order=' . $idOrder . '&key=' . $customer->secure_key);
    }
}
