<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Luís Gonçalves
 *  @copyright 2015-2016 PayPay
 *  @license   LICENSE.txt
 */

class MultibancoResponsePaymentDetails
{
    /** @var ResponseIntegrationState */
    public $requestState;

    /** @var Int */
    public $paid;

    /** @var String */
    public $paymentDate;

    public function __construct($params)
    {
        $this->requestState = $params['requestState'];
        $this->paid         = empty($params['paid']) ? '': $params['paid'];
        $this->paymentDate  = empty($params['paymentDate']) ? '': $params['paymentDate'];
    }
}
